summaryrefslogtreecommitdiff
path: root/run-ci
diff options
context:
space:
mode:
Diffstat (limited to 'run-ci')
-rwxr-xr-xrun-ci9
1 files changed, 9 insertions, 0 deletions
diff --git a/run-ci b/run-ci
new file mode 100755
index 0000000000..85779d50c7
--- /dev/null
+++ b/run-ci
@@ -0,0 +1,9 @@
+#!/bin/bash
+# generate the generatable files in CI to make sure they haven't changed
+set -e
+
+SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
+
+"$SCRIPT_DIR/scripts/parse_registries.py"
+"$SCRIPT_DIR/scripts/update_schemas.py"
+git --no-pager -C "$SCRIPT_DIR" diff --exit-code